
package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "album")
public class EsAlbum {

    @Id
    private String id;

    private String name;

    private String keyword;

    private String code;

    /**
     * @see Constant
     */
    private Integer status;

    /**
     * @see Constant
     */
    private Integer visibleRange;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Long updateTimeLong;

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
        this.updateTimeLong = updateTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

    public Long getUpdateTimeLong() {
        if (updateTime == null) {
            return null;
        }
        return updateTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }
}