package com.yizhi.esearch.application.pojo.biz;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "assignment")
public class EsAssignment {

    @ApiModelProperty("id")
    @Id
    private String id;

    @ApiModelProperty("名称")
    private String name;

    private String keyword;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("是否支持补交(0：否，1：是")
    private Integer amendable;

    @ApiModelProperty("结束时间，如果是 null 值，则是长期有效")
    private LocalDateTime endTime;

    @ApiModelProperty("结束时间戳")
    private Long endTimeLong;

    private Integer status;

    private Integer visibleRange;

    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

    public void setEndTime(LocalDateTime time) {
        this.endTime = time;
        if (null != time) {
            endTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public Long getEndTimeLong() {
        if (null == endTime) {
            return null;
        }
        return endTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }
}
