package com.yizhi.esearch.application.pojo.biz;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 20:42
 */
@Data
@Document(indexName = "exam")
public class EsExam {

    @ApiModelProperty("id")
    @Id
    private String id;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("名称")
    private String name;

    private String keyword;

    private String description;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("开始时间戳")
    private Long startTimeLong;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("结束时间戳")
    private Long endTimeLong;

    private Integer status;

    private Integer visibleRange;

    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

    public void setStartTime(LocalDateTime time) {
        this.startTime = time;
        if (null != time) {
            this.startTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public void setEndTime(LocalDateTime time) {
        this.endTime = time;
        if (null != time) {
            this.endTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public Long getStartTimeLong() {
        if (null == startTime) {
            return null;
        }
        return startTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

    public Long getEndTimeLong() {
        if (null == endTime) {
            return null;
        }
        return endTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

}
