package com.yizhi.esearch.application.pojo.biz;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 16:18
 */
@Data
@Document(indexName = "training_project")
public class EsTrainingProject {

    @ApiModelProperty("id")
    @Id
    private String id;

    @ApiModelProperty("名称")
    private String name;

//    private String description;

    private String keyword;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("开始时间戳")
    private Long startTimeLong;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("结束时间戳")
    private Long endTimeLong;

    @ApiModelProperty("上架时间")
    private LocalDateTime releaseTime;

    @ApiModelProperty("上架时间戳")
    private Long releaseTimeLong;

    private Integer status;

    private Integer enableEnroll;

    /**
     * 项目是否0：指定学员可见，1平台用户可见（创建人管理权限范围）
     */
    private Integer visibleRange;

    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

    public void setStartTime(LocalDateTime time) {
        this.startTime = time;
        if (null != time) {
            this.startTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public void setEndTime(LocalDateTime time) {
        this.endTime = time;
        if (null != time) {
            this.endTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public void setReleaseTime(LocalDateTime time) {
        this.releaseTime = time;
        if (time != null) {
            this.releaseTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public Long getStartTimeLong() {
        if (startTime == null) {
            return null;
        }
        return startTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

    public Long getEndTimeLong() {
        if (endTime == null) {
            return null;
        }
        return endTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

    public Long getReleaseTimeLong() {
        if (releaseTime == null) {
            return null;
        }
        return releaseTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }
}
