package com.yizhi.esearch.application.pojo.biz;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 16:18
 */
@Data
@Document(indexName = "training_project_enroll_record")
public class EsTrainingProjectEnrollRecord {

    @Id
    private String id;

    @Field(type = FieldType.Keyword)
    private String trainingProjectId;

    @Field(type = FieldType.Keyword)
    private String siteId;

    @Field(type = FieldType.Keyword)
    private String enrollId;

    @Field(type = FieldType.Keyword)
    private String accountId;


    private LocalDateTime startTime;

    private Long startTimeLong;

    private LocalDateTime endTime;

    private Long endTimeLong;

    private LocalDateTime joinTime;

    private Long joinTimeLong;


    public void setStartTime(LocalDateTime time) {
        this.startTime = time;
        if (null != time) {
            this.startTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public void setEndTime(LocalDateTime time) {
        this.endTime = time;
        if (null != time) {
            this.endTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public void setJoinTime(LocalDateTime time) {
        this.joinTime = time;
        if (time != null) {
            this.joinTimeLong = time.toInstant(ZoneOffset.of("+8")).toEpochMilli();
        }
    }

    public Long getStartTimeLong() {
        if (startTime == null) {
            return null;
        }
        return startTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

    public Long getEndTimeLong() {
        if (endTime == null) {
            return null;
        }
        return endTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }

    public Long getJoinTimeLong() {
        if (joinTime == null) {
            return null;
        }
        return joinTime.toInstant(ZoneOffset.of("+8")).toEpochMilli();
    }
}
