
package com.yizhi.esearch.application.pojo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @ClassName Account
 * @Description 平台用户
 * @Author chengchenglong
 * @DATE 2019-04-17 14:57
 * @Version 1.0
 */
@Data
@Document(indexName = "account")
@ApiModel(value = "用户")
public class EsAccount {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "账号名称")
    private String name;

    @ApiModelProperty(value = "性别(‘M’:男,'F':女)")
    private String sex;

    @ApiModelProperty(value = "账号描述")
    private String description;

    @ApiModelProperty(value = "全名")
    private String fullName;

    @ApiModelProperty(value = "工号")
    private String workNum;

    @ApiModelProperty(value = "座机")
    private String telephone;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "邮箱地址")
    private String email;

    @ApiModelProperty(value = "微信")
    private String wechat;

    @ApiModelProperty(value = "职位")
    private String position;

    @ApiModelProperty(value = "是否开通")
    private Integer enabled;

    @ApiModelProperty(value = "是否锁定")
    private Integer locked;

    @ApiModelProperty(value = "部门id")
    private Long orgId;

    @ApiModelProperty(value = "部门名称")
    private String orgName;

    private Integer orgLeftIndex;

    private Integer orgRightIndex;

    @ApiModelProperty(value = "租户(公司)id")
    private String companyId;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

}