package com.yizhi.esearch.application.controller.api;

import com.yizhi.esearch.application.pojo.biz.*;
import com.yizhi.esearch.application.util.QueryHelper;
import com.yizhi.esearch.application.vo.GlobalSearchVo;
import com.yizhi.util.application.domain.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.elasticsearch.core.ElasticsearchRestTemplate;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/27 10:08
 */
@Api(tags = "全局搜索")
@RestController
@RequestMapping("/search/global")
public class GlobalSearchController {

    @Autowired
    private ElasticsearchRestTemplate elasticsearchRestTemplate;
    @Autowired
    private LecturerController lecturerController;

    @GetMapping("/{keyword}")
    @ApiOperation(value = "全局搜索", response = GlobalSearchVo.class)
    public Response<GlobalSearchVo> globalSearch(
            @ApiParam(name = "keyword", value = "搜索关键字") @PathVariable("keyword") String keyword) {
        GlobalSearchVo vo = new GlobalSearchVo();
        vo.setAssignments(QueryHelper.globalSearch(keyword, EsAssignment.class, elasticsearchRestTemplate));
        vo.setCourses(QueryHelper.globalSearch(keyword, EsCourse.class, elasticsearchRestTemplate));
        vo.setMarketingCourses(QueryHelper.globalSearch(keyword, EsMarketingCourse.class, elasticsearchRestTemplate));
        vo.setExams(QueryHelper.globalSearch(keyword, EsExam.class, elasticsearchRestTemplate));
        vo.setResearch(QueryHelper.globalSearch(keyword, EsResearch.class, elasticsearchRestTemplate));
        vo.setTrainingProjects(QueryHelper.globalSearch(keyword, EsTrainingProject.class, elasticsearchRestTemplate));
        vo.setStudentCases(QueryHelper.globalSearch(keyword, EsStudentCase.class, elasticsearchRestTemplate));
        vo.setAlbums(QueryHelper.globalSearch(keyword, EsAlbum.class, elasticsearchRestTemplate));

        Page page = (Page) lecturerController.name(keyword, 1, 2).getData();
        if (page != null) {
            vo.setLecturers((page.getContent()));
        }
        return Response.ok(vo);
    }
}
