package com.yizhi.esearch.application.controller.api;


import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.esearch.application.pojo.biz.WebErrorLog;
import com.yizhi.esearch.application.repository.WebErrorLogRepository;
import com.yizhi.esearch.application.util.ResponseHelper;
import com.yizhi.util.application.domain.Response;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/26 17:54
 */
@Api(tags = "前端错误日志")
@RestController
@RequestMapping("/webErrorLog")
public class WebErrorLogController {

    @Autowired
    private WebErrorLogRepository webErrorLogRepository;

    @PostMapping("/save")
    @ApiOperation(value = "保存前端错误日志", response = String.class)
    public Response saveWebErrorLog(@ApiParam(name = "webErrorLog", value = "保存错误日志")
                                    @RequestBody WebErrorLog webErrorLog) {
        RequestContext context = ContextHolder.get();
        webErrorLog.setCompanyId(context.getCompanyId().toString());
        webErrorLog.setSiteId(context.getSiteId().toString());
        webErrorLog.setOrgId(context.getOrgId().toString());
        webErrorLog.setCreateById(context.getAccountId().toString());
        webErrorLog.setCreateByName(context.getAccountName());
        webErrorLog.setCreateTime(new Date());
        WebErrorLog save = webErrorLogRepository.save(webErrorLog);
        if (save != null) {
            return ResponseHelper.ok("保存成功！");
        }
        return ResponseHelper.ok("保存失败！");
    }
}
