package com.yizhi.esearch.application.controller.remote;

import com.alibaba.fastjson.JSON;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.esearch.application.util.QueryHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.elasticsearch.core.ElasticsearchRestTemplate;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName RemoteBizVisibleRangeController
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020-03-27 19:28
 * @Version 1.0
 */
@Slf4j
@RestController
@RequestMapping("remote/bizVisibleRange")
public class RemoteBizVisibleRangeController {

    @Autowired
    private ElasticsearchRestTemplate elasticsearchTemplate;

    @GetMapping("getVisibleBizId")
    public List<Long> getVisibleBizId(@RequestParam("bizType") String bizType,
                                      @RequestParam("requestContext") String requestContext) {
        RequestContext context = (RequestContext) JSON.parse(requestContext);
        ContextHolder.set(context);
        List<String> bizIdStrs = QueryHelper.getBizIds4VisibleRange(elasticsearchTemplate, bizType, QueryHelper.VISIBLE_RANGE_CLASS.get(bizType));
        if (!CollectionUtils.isEmpty(bizIdStrs)) {
            List<Long> bizIds = new ArrayList<>(bizIdStrs.size());
            bizIdStrs.forEach(id -> bizIds.add(Long.valueOf(id)));
            return bizIds;
        }
        return null;
    }

}
