package com.yizhi.esearch.application.controller.remote;

import com.yizhi.esearch.application.constant.Constant;
import com.yizhi.esearch.application.pojo.biz.EsLecturer;
import com.yizhi.esearch.application.repository.LecturerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName LecturerController
 * @Description 讲师
 * @Author shengchenglong
 * @DATE 2019-07-24 11:35
 * @Version 1.0
 */
@RequestMapping("/remote/lecturer")
@RestController
public class RemoteLecturerController {

    @Autowired
    private LecturerRepository lecturerRepository;

    /**
     * 更新启用禁用状态
     *
     * @param id
     * @param enabled
     * @return
     */
    @GetMapping("/enableStatus/update")
    public boolean updateEnableStatus(@RequestParam("id") Long id, @RequestParam("enabled") boolean enabled) {
        EsLecturer lecturer = new EsLecturer();
        lecturer.setId(String.valueOf(id));
        lecturer.setStatus(enabled ? Constant.STATUS_UP : Constant.STATUS_DOWN);
        lecturerRepository.save(lecturer);
        return true;
    }

}
