package com.yizhi.esearch.application.eum;

import com.yizhi.drools.application.constant.DroolsConstants;
import com.yizhi.drools.application.vo.manage.RuleItemVo;
import org.elasticsearch.index.query.QueryBuilder;
import org.elasticsearch.index.query.QueryBuilders;

/**
 * @ClassName RecommendAccountRelationEnum
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020-01-07 14:22
 * @Version 1.0
 */
public enum RecommendAccountRelationEnum {

    CONTAINS(DroolsConstants.RELATION_CONTAINS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            String prop = getPropName(ruleItemVo.getProperty());
            if (prop.equalsIgnoreCase("orgName")) {
                return QueryBuilders.termQuery("kw_".concat(prop), ruleItemVo.getValue());
            }
            return QueryBuilders.matchQuery(prop, ruleItemVo.getValue());
        }
    },
    NOTCONTAINS(DroolsConstants.RELATION_NOT_CONTAINS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            String prop = getPropName(ruleItemVo.getProperty());
            if (prop.equalsIgnoreCase("orgName")) {
                return QueryBuilders.boolQuery()
                        .mustNot(QueryBuilders.termQuery("kw_".concat(prop), ruleItemVo.getValue()));
            }
            return QueryBuilders.boolQuery()
                    .mustNot(QueryBuilders.matchQuery(prop, ruleItemVo.getValue()));
        }
    },
    EQUALS(DroolsConstants.RELATION_EQUALS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            String prop = getPropName(ruleItemVo.getProperty());
            return QueryBuilders.termQuery("kw_".concat(prop), ruleItemVo.getName());
        }
    },
    NOTEQUALS(DroolsConstants.RELATION_NOT_EQUALS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            String prop = getPropName(ruleItemVo.getProperty());
            return QueryBuilders.boolQuery()
                    .mustNot(QueryBuilders.termQuery("kw_".concat(prop), ruleItemVo.getName()));
        }
    };

    private String relation;

    RecommendAccountRelationEnum(String type) {
        this.relation = type;
    }

    public String getRelation() {
        return this.relation;
    }

    public abstract QueryBuilder build(RuleItemVo ruleItemVo);

    /**
     * 获取真是需要查询的字段
     *
     * @param origin
     * @return
     */
    public String getPropName(String origin) {
        String target = origin;
        switch (origin) {
            case "org":
                target = "orgName";
                break;
            default:
                break;
        }
        return target;
    }

}
