package com.yizhi.esearch.application.eum;

import com.yizhi.drools.application.constant.DroolsConstants;
import com.yizhi.drools.application.vo.manage.RuleItemVo;
import org.elasticsearch.index.query.QueryBuilder;
import org.elasticsearch.index.query.QueryBuilders;

/**
 * @ClassName RecommendBusinessBuildEnum
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020-01-07 14:22
 * @Version 1.0
 */
public enum RecommendBusinessRelationEnum {

    CONTAINS(DroolsConstants.RELATION_CONTAINS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            return QueryBuilders.matchQuery(getPropName(ruleItemVo.getProperty()), ruleItemVo.getValue());
        }
    },
    NOTCONTAINS(DroolsConstants.RELATION_NOT_CONTAINS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            return QueryBuilders.boolQuery()
                    .mustNot(QueryBuilders.matchQuery(getPropName(ruleItemVo.getProperty()), ruleItemVo.getValue()));
        }
    },
    EQUALS(DroolsConstants.RELATION_EQUALS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            String property = getPropName(ruleItemVo.getProperty());
            return QueryBuilders.termQuery("kw_".concat(property), ruleItemVo.getName());
        }
    },
    NOTEQUALS(DroolsConstants.RELATION_NOT_EQUALS) {
        @Override
        public QueryBuilder build(RuleItemVo ruleItemVo) {
            String property = getPropName(ruleItemVo.getProperty());
            return QueryBuilders.boolQuery()
                    .mustNot(QueryBuilders.termQuery("kw_".concat(property), ruleItemVo.getName()));
        }
    };

    private String relation;

    RecommendBusinessRelationEnum(String type) {
        this.relation = type;
    }

    public String getRelation() {
        return this.relation;
    }

    public abstract QueryBuilder build(RuleItemVo ruleItemVo);

    /**
     * 获取真实需要查询的字段
     *
     * @param origin
     * @return
     */
    public String getPropName(String origin) {
        String target = origin;
        switch (origin) {
            case "classify":
                target = "classifyName";
                break;
            case "belongCaseActivity":
                target = "caseActivityName";
                break;
            default:
                break;
        }
        return target;
    }
}
