package com.yizhi.esearch.application.eum;

import com.yizhi.drools.application.constant.DroolsConstants;
import com.yizhi.drools.application.vo.manage.RuleItemVo;
import org.elasticsearch.index.query.QueryBuilder;
import org.elasticsearch.index.query.QueryBuilders;

import java.util.Locale;

/**
 * @ClassName AndOrQbBuilder
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020-01-09 16:32
 * @Version 1.0
 */
public enum RuleItemAndOrQbBuilder {

    AND(DroolsConstants.AND) {
        @Override
        public QueryBuilder build(QueryBuilder originQb, RuleItemVo ruleItemVo) {
            QueryBuilder qb = RecommendBusinessRelationEnum.valueOf(ruleItemVo.getRelation().toUpperCase(Locale.ENGLISH)).build(ruleItemVo);
            if (ruleItemVo.getRelation().startsWith("not")) {
                return QueryBuilders.boolQuery()
                        .must(originQb)
                        .mustNot(qb);
            }
            return QueryBuilders.boolQuery()
                    .must(originQb)
                    .must(qb);
        }
    },
    OR(DroolsConstants.OR) {
        @Override
        public QueryBuilder build(QueryBuilder originQb, RuleItemVo ruleItemVo) {
            QueryBuilder qb = RecommendBusinessRelationEnum.valueOf(ruleItemVo.getRelation().toUpperCase(Locale.ENGLISH)).build(ruleItemVo);
            if (ruleItemVo.getRelation().startsWith("not")) {
                return QueryBuilders.boolQuery()
                        .should(originQb)
                        .mustNot(qb);
            }
            return QueryBuilders.boolQuery()
                    .should(originQb)
                    .should(qb);
        }
    };

    private String andOr;

    RuleItemAndOrQbBuilder(String type) {
        this.andOr = type;
    }

    public String getAndOr() {
        return this.andOr;
    }

    public abstract QueryBuilder build(QueryBuilder originQb, RuleItemVo ruleItemVo);


}
