package com.yizhi.esearch.application.pojo.biz;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "web_error_log", type = "web_error_log")
public class WebErrorLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    private String id;

    @Field(type = FieldType.Text, searchAnalyzer = "whitespace", analyzer = "whitespace")
    private String content;

    @ApiModelProperty(value = "PC端：pc、微信端：weixin、管理端：manage")
    private String terminalType;

    private String companyId;

    private String siteId;

    private String orgId;

    private String createById;

    private String createByName;

    private Date createTime;


}
