SELECT concat(a.id, '')                                                   AS id,
       concat(a.id, '_album')                                             AS recommendId,
       'album'                                                            AS recommendType,
       a.`name`                                                           AS `name`,
       a.`name`                                                           AS kw_name,
       a.tags                                                             AS keyword,
       replace(a.tags, ",", " ")                                          AS kw_keyword,
       a.classify_id                                                      AS classifyId,
       ac.`name`                                                          AS classifyName,
       ac.`name`                                                          AS kw_classifyName,
       a.del_flg                                                          AS deleted,
       a.scope                                                            as visibleRange,
       a.image                                                            AS image,
       a.create_time                                                      AS createTime,
       a.update_time                                                      AS updateTime,
       a.description                                                      AS description,
       concat(a.company_id, '')                                           AS companyId,
       concat(a.site_id, '')                                              AS siteId,
       concat(a.org_id, '')                                               AS orgId,
       (CASE a.shelves WHEN 2 THEN 0 WHEN 1 THEN 1 WHEN 0 THEN 2 END) * 1 AS `status`,
       a.index_time                                                       AS indexTime
FROM album a
         LEFT JOIN album_classify ac ON ac.id = a.classify_id
WHERE (ac.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') OR
       a.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))