SELECT id,
       recommendId,
       recommendType,
       `name`,
       kw_name,
       `status`,
       visibleRange,
       deleted,
       companyId,
       siteId,
       orgId,
       updateTime,
       createTime,
       image,
       indexTime,
       concat(group_concat(classifyId SEPARATOR ' '), '') AS classifyId,
       group_concat(classifyName SEPARATOR ' ')           AS classifyName
FROM (
         (
             SELECT concat(t_case.id, '')                                      AS id,
                    concat(t_case.id, '_case_library')                         AS recommendId,
                    'caseActivity'                                             AS recommendType,
                    t_case.`name`                                              AS `name`,
                    t_case.`name`                                              AS kw_name,
                    (CASE t_case.state WHEN 1 THEN 0 WHEN 2 THEN 1 ELSE 2 END) AS `status`,
                    t_case.visible_range * 1                                   AS visibleRange,
                    (CASE t_case.state WHEN 0 THEN 1 ELSE 0 END)               AS deleted,
                    concat(t_case.company_id, '')                              AS companyId,
                    concat(t_case.site_id, '')                                 AS siteId,
                    concat(t_case.org_id, '')                                  AS orgId,
                    t_case.update_time                                         AS updateTime,
                    t_case.create_time                                         AS createTime,
                    t_case.logo_url                                            AS image,
                    t_case.index_time                                          AS indexTime,
                    GROUP_CONCAT(t_cla.classify_id SEPARATOR ' ')              AS classifyId,
                    GROUP_CONCAT(classify.`name` SEPARATOR ' ')                AS classifyName
             FROM case_library t_case
                      LEFT JOIN case_library_related_classify t_cla ON t_cla.case_lirary_id = t_case.id
                 AND t_cla.state = 1
                      LEFT JOIN classify ON classify.id = t_cla.classify_id
             WHERE (t_case.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
                 OR t_cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') OR
                    classify.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))
             GROUP BY t_case.id
         )
         UNION
         (
             SELECT concat(t_case.id, '')                                      AS id,
                    concat(t_case.id, '_case_library')                         AS recommendId,
                    'caseActivity'                                             AS recommendType,
                    t_case.`name`                                              AS `name`,
                    t_case.`name`                                              AS kw_name,
                    (CASE t_case.state WHEN 1 THEN 0 WHEN 2 THEN 1 ELSE 2 END) AS `status`,
                    t_case.visible_range * 1                                   AS visibleRange,
                    (CASE t_case.state WHEN 0 THEN 1 ELSE 0 END)               AS deleted,
                    concat(t_case.company_id, '')                              AS companyId,
                    concat(t_case.site_id, '')                                 AS siteId,
                    concat(t_case.org_id, '')                                  AS orgId,
                    t_case.update_time                                         AS updateTime,
                    t_case.create_time                                         AS createTime,
                    t_case.logo_url                                            AS image,
                    t_case.index_time                                          AS indexTime,
                    NULL                                                       AS classifyId,
                    NULL                                                       AS classifyName
             FROM case_library t_case
                      LEFT JOIN case_library_related_classify t_cla ON t_cla.case_lirary_id = t_case.id
                 AND t_cla.state = 0
             WHERE (t_case.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') OR
                    t_cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))
             GROUP BY t_case.id
         )
     ) t
GROUP BY id