SELECT id,
       recommendId,
       group_concat(relationIds SEPARATOR ' ') as relationIds,
       indexTime
FROM (
         (
             SELECT concat(case_library_id, '')              AS id,
                    concat(case_library_id, '_case_library') AS recommendId,
                    GROUP_CONCAT(relation_id SEPARATOR ' ')  AS relationIds,
                    index_time                               AS indexTime
             FROM case_library_authorize
             WHERE state = 1
               AND index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY case_library_id
         )
     ) t
GROUP BY id