SELECT concat(c.id, '')                                                   AS id,
       concat(c.id, '_course')                                            AS recommendId,
       'course'                                                           AS recommendType,
       concat(c.classify_id, '')                                          AS classifyId,
       cla.`name`                                                         AS classifyName,
       cla.`name`                                                         AS kw_classifyName,
       c.`name`,
       c.`name`                                                           AS kw_name,
       c.`code`,
       c.`code`                                                           AS kw_code,
       c.author_unit                                                      AS authorUnit,
       c.`description`,
       c.tags                                                             AS keyword,
       replace(c.tags, ",", " ")                                          AS kw_keyword,
       concat(c.source, '')                                               AS source,
       c.release_time                                                     AS releaseTime,
       c.del_flg                                                          AS deleted,
       (CASE c.shelves WHEN 2 THEN 0 WHEN 1 THEN 1 WHEN 0 THEN 2 END) * 1 AS `status`,
       c.scope * 1                                                        AS visibleRange,
       concat(c.company_id, '')                                           AS companyId,
       concat(c.site_id, '')                                              AS siteId,
       concat(c.org_id, '')                                               AS orgId,
       c.update_time                                                      AS updateTime,
       c.create_time                                                      AS createTime,
       c.image,
       c.index_time                                                       AS indexTime
FROM course c
         LEFT JOIN classify cla ON cla.id = c.classify_id
WHERE (c.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') or
       cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))