SELECT id,
       recommendId,
       group_concat(relationIds SEPARATOR ' ') AS relationIds,
       indexTime
FROM (
         (
             SELECT concat(ca.course_id, '')                   AS id,
                    concat(ca.course_id, '_course')            AS recommendId,
                    group_concat(ca.relation_id SEPARATOR ' ') AS relationIds,
                    ca.index_time                              AS indexTime
             FROM course_account ca
             WHERE ca.deleted = 0
               AND ca.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY ca.course_id
         )
     ) t
GROUP BY id