SELECT concat(l.id, '')                                    AS id,
       l.NAME                                              AS username,
       l.account_id                                        AS accountId,
       l.lecturer_name                                     AS lecturerName,
       GROUP_CONCAT(lk.keywords SEPARATOR ' ')             AS keyword,
       GROUP_CONCAT(lec.roots SEPARATOR ' ')               AS classifyId,
       GROUP_CONCAT(lec.`name` SEPARATOR ' ')              AS classifyName,
       l.avatar,
       l.avatar                                            as image,
       l.title                                             AS title,
       l.source_code                                       as source,
       (CASE l.STATUS WHEN 0 THEN 2 WHEN 1 THEN 1 END) * 1 AS status,
       l.del_flag                                          AS deleted,
       concat(l.company_id, '')                            AS companyId,
       concat(l.site_id, '')                               AS siteId,
       l.update_time                                       as updateTime,
       l.create_time                                       as createTime,
       GROUP_CONCAT(lr.relation_id SEPARATOR ' ')          AS relationIds
FROM lecturer l
         LEFT JOIN lecturer_keywords lk ON lk.lecturer_id = l.id
         LEFT JOIN tr_lecturer_classification lc ON lc.lecturer_id = l.id
         left join (
                  select lc.classification_id idd,b.name,b.roots  from  tr_lecturer_classification lc
                  left join (select id,name,REPLACE(concat(substring_index(substring_index(parent_ids,',',3),',',-2),' ',id),',',' ')  roots
									           from lecturer_classification
                              where `status`=1 and del_flag=0
					                  ) b on(b.id = lc.classification_id)
					         GROUP BY lc.classification_id
					         HAVING b.roots is not null
									) lec on lc.classification_id = lec.idd
         LEFT JOIN lecturer_relation lr ON lr.lecturer_id = l.id AND lr.del_flag = 0
GROUP BY l.id
ORDER BY l.lecturer_name