SELECT concat(l.id, '')                                    AS id,
       l.`name`                                            AS username,
       l.account_id                                        AS accountId,
       l.lecturer_name                                     AS lecturerName,
       GROUP_CONCAT(lk.keywords SEPARATOR ' ')             AS keyword,
       GROUP_CONCAT(lc.classification_id SEPARATOR ' ')    AS classifyId,
       GROUP_CONCAT(lec.`name` SEPARATOR ' ')              AS classifyName,
       l.avatar,
       l.avatar                                            AS image,
       l.title                                             AS title,
       l.source_code                                       AS source,
       (CASE l.STATUS WHEN 0 THEN 2 WHEN 1 THEN 1 END) * 1 AS `status`,
       l.del_flag                                          AS deleted,
       concat(l.company_id, '')                            AS companyId,
       concat(l.site_id, '')                               AS siteId,
       l.update_time                                       AS updateTime,
       l.create_time                                       AS createTime,
       GROUP_CONCAT(lr.relation_id SEPARATOR ' ')          AS relationIds
FROM lecturer l
         LEFT JOIN lecturer_keywords lk ON lk.lecturer_id = l.id
         LEFT JOIN tr_lecturer_classification lc ON lc.lecturer_id = l.id
         LEFT JOIN lecturer_classification lec ON lc.classification_id = lec.id
         LEFT JOIN lecturer_relation lr ON lr.lecturer_id = l.id
    AND lr.del_flag = 0
GROUP BY l.id