SELECT id,
       recommendId,
       group_concat(relationIds SEPARATOR ' ') AS relationIds,
       indexTime
FROM (
         (
             SELECT concat(research_id, '')                 AS id,
                    concat(research_id, '_research')        AS recommendId,
                    group_concat(relation_id SEPARATOR ' ') AS relationIds,
                    index_time                              AS indexTime
             FROM tr_research_authorize
             WHERE deleted = 0
               AND index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY research_id
         )
     ) t
GROUP BY id