SELECT id,
       recommendId,
       recommendType,
       `name`,
       kw_name,
       `status`,
       visibleRange,
       deleted,
       companyId,
       siteId,
       orgId,
       updateTime,
       createTime,
       keyword,
       replace(kw_keyword, ",", " ")                      as kw_keyword,
       belongCaseActivity,
       caseActivityName,
       kw_caseActivityName,
       author,
       image,
       indexTime,
       concat(GROUP_CONCAT(classifyId SEPARATOR ' '), '') AS classifyId,
       GROUP_CONCAT(classifyName SEPARATOR ' ')           AS classifyName
FROM (
         (
             SELECT concat(t_case.id, '')                                      AS id,
                    concat(t_case.id, '_student_case')                         AS recommendId,
                    'case'                                                     AS recommendType,
                    t_case.title                                               AS `name`,
                    t_case.title                                               AS kw_name,
                    (CASE t_case.state WHEN 1 THEN 0 WHEN 2 THEN 1 ELSE 2 END) AS `status`,
                    t_case.visible_range * 1                                   AS visibleRange,
                    (CASE t_case.state WHEN 0 THEN 1 ELSE 0 END)               AS deleted,
                    concat(t_case.company_id, '')                              AS companyId,
                    concat(t_case.site_id, '')                                 AS siteId,
                    concat(t_case.org_id, '')                                  AS orgId,
                    t_case.update_time                                         AS updateTime,
                    t_case.create_time                                         AS createTime,
                    t_case.keywords                                            AS keyword,
                    t_case.keywords                                            AS kw_keyword,
                    t_case.case_library_id                                     AS belongCaseActivity,
                    cl.`name`                                                  AS caseActivityName,
                    cl.`name`                                                  AS kw_caseActivityName,
                    t_case.account_id                                          AS author,
                    t_case.logo_url                                            AS image,
                    t_case.index_time                                          AS indexTime,
                    GROUP_CONCAT(classify.id SEPARATOR ' ')                    AS classifyId,
                    GROUP_CONCAT(classify.`name` SEPARATOR ' ')                AS classifyName
             FROM student_case t_case
                      LEFT JOIN case_library cl ON cl.id = t_case.case_library_id
                      LEFT JOIN student_case_related_classify t_cla ON t_case.id = t_cla.student_case_id
                 AND t_cla.state = 1
                      LEFT JOIN classify ON classify.id = t_cla.classify_id
             WHERE (t_case.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
                 OR cl.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') OR
                    t_cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
                 OR classify.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))
             GROUP BY id
         )
         UNION
         (
             SELECT concat(t_case.id, '')                                      AS id,
                    concat(t_case.id, '_student_case')                         AS recommendId,
                    'case'                                                     AS recommendType,
                    t_case.title                                               AS `name`,
                    t_case.title                                               AS kw_name,
                    (CASE t_case.state WHEN 1 THEN 0 WHEN 2 THEN 1 ELSE 2 END) AS `status`,
                    t_case.visible_range * 1                                   AS visibleRange,
                    (CASE t_case.state WHEN 0 THEN 1 ELSE 0 END)               AS deleted,
                    concat(t_case.company_id, '')                              AS companyId,
                    concat(t_case.site_id, '')                                 AS siteId,
                    concat(t_case.org_id, '')                                  AS orgId,
                    t_case.update_time                                         AS updateTime,
                    t_case.create_time                                         AS createTime,
                    t_case.keywords                                            AS keyword,
                    t_case.keywords                                            AS kw_keyword,
                    t_case.case_library_id                                     AS belongCaseActivity,
                    cl.`name`                                                  AS caseActivityName,
                    cl.`name`                                                  AS kw_caseActivityName,
                    t_case.account_id                                          AS author,
                    t_case.logo_url                                            AS image,
                    t_case.index_time                                          AS indexTime,
                    NULL                                                       AS classifyId,
                    NULL                                                       AS classifyName
             FROM student_case t_case
                      LEFT JOIN case_library cl ON cl.id = t_case.case_library_id
                      LEFT JOIN student_case_related_classify t_cla ON t_case.id = t_cla.student_case_id
                 AND t_cla.state = 1
             WHERE (t_case.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
                 OR cl.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') OR
                    t_cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))
             GROUP BY id
         )
     ) t
GROUP BY id