SELECT id,
       recommendId,
       GROUP_CONCAT(classifyId SEPARATOR ' ')   as classifyId,
       GROUP_CONCAT(classifyName SEPARATOR ' ') AS classifyName,
       GROUP_CONCAT(classifyName SEPARATOR ' ') AS kw_classifyName,
       indexTime
FROM (
         (
             SELECT concat(t_cla.student_case_id, '')              AS id,
                    concat(t_cla.student_case_id, '_student_case') AS recommendId,
                    GROUP_CONCAT(t_cla.classify_id SEPARATOR ' ')  AS classifyId,
                    GROUP_CONCAT(c.`name` SEPARATOR ' ')           AS classifyName,
                    GROUP_CONCAT(c.`name` SEPARATOR ' ')           AS kw_classifyName,
                    t_cla.index_time                               AS indexTime
             FROM student_case_related_classify t_cla
                      left join classify c on c.id = t_cla.classify_id
             WHERE t_cla.state = 1
               AND (t_cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') or
                    c.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))
             GROUP BY t_cla.student_case_id
         )
         UNION
         (
             SELECT concat(t_cla.student_case_id, '')              AS id,
                    concat(t_cla.student_case_id, '_student_case') AS recommendId,
                    NULL                                           AS classifyId,
                    NULL                                           AS classifyName,
                    NULL                                           AS kw_classifyName,
                    t_cla.index_time                               AS indexTime
             FROM student_case_related_classify t_cla
             WHERE t_cla.state = 0
               AND t_cla.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY t_cla.student_case_id
         )
     ) t
GROUP BY id