SELECT id,
       recommendId,
       GROUP_CONCAT(relationIds SEPARATOR ' ') AS relationIds,
       indexTime
FROM (
         (
             SELECT concat(relation_id, '')                                        AS id,
                    concat(relation_id, '_student_case')                           AS recommendId,
                    GROUP_CONCAT(student_case_authorize.relation_id SEPARATOR ' ') AS relationIds,
                    index_time                                                     AS indexTime
             FROM student_case_authorize
             WHERE state = 1
               AND index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY student_case_id
         )
     ) t
GROUP BY id