SELECT concat(tp.id, '')                                           AS id,
       concat(tp.id, '_training_project')                          AS recommendId,
       'trainingProject'                                           AS recommendType,
       tp.`name`,
       tp.`name`                                                   AS kw_name,
       tp.tp_classification_id                                     AS classifyId,
       tc.`name`                                                   AS classifyName,
       tc.`name`                                                   AS kw_classifyName,
       tp.start_time                                               AS startTime,
       tp.end_time                                                 AS endTime,
       tp.`status` * 1                                             AS `status`,
       ifnull(tp.`enable_enroll` * 1, 0)                           AS enableEnroll,
       tp.release_time                                             AS releaseTime,
       tp.deleted,
       tp.key_words                                                AS keyword,
       replace(tp.key_words, ",", " ")                             AS kw_keyword,
       tp.`description`,
       (CASE tp.visible_range WHEN 1 THEN 1 WHEN 0 THEN 2 END) * 1 AS visibleRange,
       concat(tp.company_id, '')                                   AS companyId,
       concat(tp.site_id, '')                                      AS siteId,
       concat(tp.org_id, '')                                       AS orgId,
       tp.update_time                                              AS updateTime,
       tp.create_time                                              AS createTime,
       tp.logo_img                                                 AS image,
       tp.index_time                                               AS indexTime
FROM training_project tp
         LEFT JOIN tp_classification tc ON tc.id = tp.tp_classification_id
WHERE (tp.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00') or
       tc.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00'))