SELECT id,
       recommendId,
       group_concat(relationIds SEPARATOR ' ') AS relationIds,
       indexTime
FROM (
         (
             SELECT concat(biz_id, '')                                             AS id,
                    concat(biz_id, '_training_project')                            AS recommendId,
                    group_concat(tp_authorization_range.relation_id SEPARATOR ' ') AS relationIds,
                    index_time                                                     AS indexTime
             FROM tp_authorization_range
             WHERE deleted = 0
               AND index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY biz_id
         )
     ) t
GROUP BY id